//
//  TestVC.m
//  MYPresentation
//
//  Created by qc on 2017/5/3.
//  Copyright © 2017年 qc. All rights reserved.
//

#import "TestVC.h"
#import "ServiceCell.h"
#define CELLID @"ServiceCell"
@interface TestVC ()<UITableViewDelegate,UITableViewDataSource>
{
    NSArray *imageArtray;
    NSArray *itemsArray;
}

@property (nonatomic,strong) UITableView *tableView;

@end

@implementation TestVC

- (void)viewDidLoad {
    [super viewDidLoad];
    
    imageArtray = [[NSArray alloc]initWithObjects:@"",@"",@"", nil];
    itemsArray = @[@"11111",@"22222",@"33333"];
    self.view.backgroundColor = [UIColor whiteColor];
    [self tableView];
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (UITableView *)tableView {
    if (!_tableView) {
        self.tableView = [[UITableView alloc]initWithFrame:CGRectMake(0, 0, self.view.frame.size.width, 200) style:UITableViewStylePlain];
        [self.tableView registerClass:[ServiceCell class] forCellReuseIdentifier:CELLID];
        self.tableView.separatorStyle = UITableViewCellSeparatorStyleSingleLine;
        self.tableView.rowHeight = 60;
        self.tableView.delegate = self;
        self.tableView.dataSource = self;
        [self.view addSubview:self.tableView];
    }
    return _tableView;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return   itemsArray.count;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    ServiceCell *cell = [tableView dequeueReusableCellWithIdentifier:CELLID];
    cell.iconImageView.image = [UIImage imageNamed:[NSString stringWithFormat:@"%@",imageArtray[indexPath.row]]];
    
    cell.nameLabel.text = itemsArray[indexPath.row];
    cell.nameLabel.textColor = [UIColor blackColor];
    
    return cell;
}

#pragma mark--点击单元格页面跳转
- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    [tableView deselectRowAtIndexPath:indexPath animated:YES];
    if (self.callback) {
        self.callback([NSNumber numberWithInteger:indexPath.row]);
    }
    [self dismissViewControllerAnimated:YES completion:nil];
}

@end
